## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ugrep
Version:        7.1.2
Release:        %autorelease
Summary:        A more powerful, ultra fast, user-friendly, compatible grep
License:        BSD-3-Clause
URL:            https://github.com/Genivia/ugrep
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  pcre2-devel
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  xz-devel
BuildRequires:  lz4-devel
BuildRequires:  libzstd-devel
BuildRequires:  brotli-devel

# Upstream does not allow building RE-flex as a shared library for ugrep to
# dynamically link against.
#
# https://github.com/Genivia/ugrep/issues/215
#
# To determine the bundled version, review the recent changes to the
# include/reflex directory.  Try to find each change in the separate RE-flex
# source.  Once you find a change that is in both, that will indicate which
# version of RE-flex is bundled.  This isn't an exact science, because changes
# happen in the bundled library first before being added to the RE-flex source.
#
# https://github.com/Genivia/ugrep/commits/master/include/reflex
# https://github.com/Genivia/RE-flex/tree/master/include/reflex
#
Provides:       bundled(libreflex) = 5.1.0


%description
Ugrep is an ultra fast, user-friendly, compatible grep.  Ugrep combines the
best features of other grep, adds new features, and searches fast.  Includes a
TUI and adds Google-like search, fuzzy search, hexdumps, searches nested
archives (zip, 7z, tar, pax, cpio), compressed files (gz, Z, bz2, lzma, xz,
lz4, zstd, brotli), pdfs, docs, and more.


%prep
%autosetup
autoreconf -fiv


%build
%ifarch %{arm}
# https://github.com/Genivia/ugrep/issues/128
%configure --disable-neon
%else
%configure
%endif
%make_build


%install
%make_install


%check
%make_build test


%files
%license LICENSE.txt
%{_bindir}/ug
%{_bindir}/ug+
%{_bindir}/ugrep
%{_bindir}/ugrep+
%{_bindir}/ugrep-indexer
%{_mandir}/man1/ug.1*
%{_mandir}/man1/ugrep.1*
%{_mandir}/man1/ugrep-indexer.1*
%{_datadir}/ugrep
%{bash_completions_dir}/ug
%{bash_completions_dir}/ug+
%{bash_completions_dir}/ugrep
%{bash_completions_dir}/ugrep+
%{bash_completions_dir}/ugrep-indexer
%{fish_completions_dir}/ug.fish
%{fish_completions_dir}/ug+.fish
%{fish_completions_dir}/ugrep.fish
%{fish_completions_dir}/ugrep+.fish
%{fish_completions_dir}/ugrep-indexer.fish
%{zsh_completions_dir}/_ug
%{zsh_completions_dir}/_ug+
%{zsh_completions_dir}/_ugrep
%{zsh_completions_dir}/_ugrep+
%{zsh_completions_dir}/_ugrep-indexer


%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 30 2024 Carl George <carlwgeorge@fedoraproject.org> - 7.1.2-1
- Update to version 7.1.2 rhbz#2328290

* Thu Nov 14 2024 Carl George <carlwgeorge@fedoraproject.org> - 7.0.4-1
- Update to version 7.0.4 rhbz#2322175

* Sat Oct 26 2024 Carl George <carlwgeorge@fedoraproject.org> - 7.0.1-1
- Update to version 7.0.1 rhbz#2321685

* Mon Aug 26 2024 Carl George <carlwgeorge@fedoraproject.org> - 6.5.0-1
- Update to version 6.5.0 rhbz#2303612

* Wed Jul 31 2024 Carl George <carlwgeorge@fedoraproject.org> - 6.3.0-1
- Update to version 6.3.0 rhbz#2302179

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jul 11 2024 Carl George <carlwgeorge@fedoraproject.org> - 6.2.0-1
- Update to version 6.2.0 rhbz#2297148

* Tue Jul 02 2024 Carl George <carlwgeorge@fedoraproject.org> - 6.1.0-1
- Update to version 6.1.0 rhbz#2273071

* Tue Mar 12 2024 Carl George <carlwgeorge@fedoraproject.org> - 5.1.1-1
- Update to version 5.1.1 rhbz#2268600

* Sun Feb 18 2024 Carl George <carlwgeorge@fedoraproject.org> - 5.0.0-1
- Update to version 5.0.0 rhbz#2264665

* Wed Feb 07 2024 Carl George <carlwgeorge@fedoraproject.org> - 4.5.2-1
- Update to 4.5.2 rhbz#2232891
- Add support for .br (brotli-compressed) files
- Add bash, fish, and zsh completions

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 16 2023 Carl George <carlwgeorge@fedoraproject.org> - 3.12.7-1
- Update to version 3.12.7, resolves rhbz#2232315

* Sun Aug 13 2023 Carl George <carlwgeorge@fedoraproject.org> - 3.12.6-1
- Update to version 3.12.6, resolves rhbz#2212092

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Apr 16 2023 Carl George <carl@george.computer> - 3.11.2-1
- Update to version 3.11.2, resolves rhbz#2179547

* Wed Mar 01 2023 Carl George <carl@george.computer> - 3.10.0-1
- Update to version 3.10.0, resolves rhbz#2174333

* Fri Feb 03 2023 Carl George <carl@george.computer> - 3.9.7-1
- Update to version 3.9.7, resolves rhbz#2157204

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 23 2022 Carl George <carl@george.computer> - 3.9.2-2
- Disable NEON optimizations on 32bit ARM

* Mon Aug 22 2022 Carl George <carl@george.computer> - 3.9.2-1
- Latest upstream 3.9.2

* Mon Aug 22 2022 Carl George <carl@george.computer> - 3.8.3-1
- Initial import, resolves rhbz#2109340
## END: Generated by rpmautospec
